%define srcname xf86-video-nouveau
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-nouveau
Version: 1.2.0
Release: alt7
Serial:1
Summary: NVIDIA video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %srcname-%version.tar.bz2

Patch0: xf86-video-nouveau-1.2.0-alt-default-xaa.patch
Patch1: xf86-video-nouveau-1.2.0-alt-man.patch

Provides: x11-driver-nouveau
Requires: xorg-x11-dri-nouveau xorg-x11-extensions-glx
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
nouveau  is  an  Xorg  driver for NVIDIA video cards.  The driver
supports 2D acceleration and provides support for the following  frame-
buffer depths: 8, 15, 16 (except Riva128) and 24.  All visual types are
supported for depth 8, TrueColor and DirectColor visuals are  supported
for  the other depths with the exception of the Riva128 which only sup-
ports TrueColor in the higher depths.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch0 -p1
%patch1 -p1

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%__cat src/nv_driver.c | \
       sed -ne 's|^[[:space:]].*\ 0x1\([0-2]\)D\([2E]\)\([0-9A-F]*\).*"\(.*\)\".*|alias pcivideo:v00001\1D\2d0000\3sv*sd*bc*sc*i* nouveau\t# \4|p' \
       > nouveau.xinf

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 nouveau.xinf %buildroot%_hwdatadir/nouveau.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/nouveau.xinf
%_man4dir/*

%changelog
* Wed Aug 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt7
- GIT snapshot 2007-08-08 (9cc11cbc9ce10b99f72d7c08584bf61d179cdbda)

* Mon Aug 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt6
- GIT snapshot 2007-08-06 (59d073c9b01a8f61675b8d74f5c55f134ddfb8bf)

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt5
- GIT snapshot 2007-07-30 (68070ff7309c8b1cf149490dcf537892b0bf44bc):
  + Xv now manages a pool of 6 notifiers for its double buffering.
    Also improved the memory allocation logic.

* Sun Jul 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt4
- GIT snapshot 2007-07-29 (bceef7210e44dc643a5f7a5b5683d5c434a07565):
  + Xv: fixed bugs when displayed only part of the source image (tvtime with overscan)
  + Xv: fixed bug with overlay behaving badly when window is partly out of screen
  + Xv: clean up NVPutImage code

* Sat Jul 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- Git snapshot 2007-07-17 (d4abe1fb011d414fda1871f052dda5b860f0820b)

* Sun Jun 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- Git snapshot 2007-06-24 (45dccb99a541a0e1e7be7b4e5aab12c3d8d9f30d)
- added nouveau.xinf

* Thu Apr 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- GIT snapshot 2007-04-23 (7af7d95eb8826fa3fb9914a8c6ad4b6f4867095e)

